### Enumeration

# Gio DBusMessageHeaderField

since: 2.26

#### Declaration

    enum Gio.DBusMessageHeaderField

#### Description [src]

Header fields used in `GDBusMessage`.

Available since: 2.26

#### Members

`G_DBUS_MESSAGE_HEADER_FIELD_INVALID`

  Not a valid header field.

  - Value: `0`
  - Available since: 2.26
`G_DBUS_MESSAGE_HEADER_FIELD_PATH`

  The object path.

  - Value: `1`
  - Available since: 2.26
`G_DBUS_MESSAGE_HEADER_FIELD_INTERFACE`

  The interface name.

  - Value: `2`
  - Available since: 2.26
`G_DBUS_MESSAGE_HEADER_FIELD_MEMBER`

  The method or signal name.

  - Value: `3`
  - Available since: 2.26
`G_DBUS_MESSAGE_HEADER_FIELD_ERROR_NAME`

  The name of the error that occurred.

  - Value: `4`
  - Available since: 2.26
`G_DBUS_MESSAGE_HEADER_FIELD_REPLY_SERIAL`

  The serial number the message is a reply to.

  - Value: `5`
  - Available since: 2.26
`G_DBUS_MESSAGE_HEADER_FIELD_DESTINATION`

  The name the message is intended for.

  - Value: `6`
  - Available since: 2.26
`G_DBUS_MESSAGE_HEADER_FIELD_SENDER`

  Unique name of the sender of the message (filled in by the bus).

  - Value: `7`
  - Available since: 2.26
`G_DBUS_MESSAGE_HEADER_FIELD_SIGNATURE`

  The signature of the message body.

  - Value: `8`
  - Available since: 2.26
`G_DBUS_MESSAGE_HEADER_FIELD_NUM_UNIX_FDS`

  The number of UNIX file descriptors that accompany the message.

  - Value: `9`
  - Available since: 2.26